Package org.jmock.core.matcher

# Class InvokedAfterMatcher

java.lang.Object
org.jmock.core.matcher.StatelessInvocationMatcher
org.jmock.core.matcher.InvokedAfterMatcher

All Implemented Interfaces:
  `InvocationMatcher`, `SelfDescribing`, `Verifiable`

public class InvokedAfterMatcher extends StatelessInvocationMatcher

## Constructor Summary

Constructors
Constructor
Description
`InvokedAfterMatcher(InvokedRecorder priorCallRecorder, String priorCallDescription)`

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.
`void`
`invoked(Invocation invocation)`
`boolean`
`matches(Invocation invocation)`

### Methods inherited from class org.jmock.core.matcher.StatelessInvocationMatcher

`hasDescription, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvokedAfterMatcher

public InvokedAfterMatcher(InvokedRecorder priorCallRecorder, String priorCallDescription)

## Method Details

### matches

public boolean matches(Invocation invocation)

### invoked

public void invoked(Invocation invocation)

Specified by:
  `invoked` in interface `InvocationMatcher`
Overrides:
  `invoked` in class `StatelessInvocationMatcher`

### describeTo

public StringBuffer describeTo(StringBuffer buffer)
Description copied from interface: `SelfDescribing`
Appends the description of this object to the buffer.

Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.